#include<stdio.h>
#include<math.h>
long long n,x,a[1000000],max,min,s,l,d;
int main(){
	scanf("%lld %lld",&n,&x);
	for(int i=0;i<n;i++)scanf("%lld",&a[i]);
	max=min=a[0];
	for(int i=0;i<n;i++){
		if(a[i]>max)max=a[i];
		if(a[i]<min)min=a[i];
	}
	if(min<x){
		l=abs(x-min);
		d=abs(max-x);
		if(l<d)s=2*l+d;
		else s=2*d+l;
	}
	else s=max-x;
	printf("%lld",s);
	return 0;
}